# tabletop-club
# Copyright (c) 2020-2024 Benjamin 'drwhut' Beddows.
# Copyright (c) 2021-2024 Tabletop Club contributors (see game/CREDITS.tres).
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

class_name CameraController
extends Spatial

## Base class for all camera controllers.
##
## NOTE: Unlike in v0.1.x, camera controllers are only for controlling camera
## movement, instead of all player-related functionality.


## Sets whether [InputEventKey] events are ignored by the camera controller.
## This can be used when the player is currently typing into e.g. a [LineEdit].
var ignore_key_events := false


## Get the [Camera] node that this controller operates.
func get_camera() -> Camera:
	return null


## Returns [code]true[/code] if the controller is currently using the mouse's
## movement.
func is_using_mouse() -> bool:
	return false


## Reset the camera to its default position and rotation.
func reset_transform() -> void:
	pass
